%define upstream_name    XML-Twig
%define upstream_version 3.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A perl module for processing huge XML documents in tree mode
License:    Artistic
Group:      Development/Perl
Url:        http://www.xmltwig.com/xmltwig/
Source0:    http://www.xmltwig.com/xmltwig/%{upstream_name}-%{upstream_version}.tar.gz

# Prefer XML::XPathEngine over XML::XPath

# Tests:

# Optional tests:

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::Parser) >= 2.230.0
BuildArch:  noarch
Requires:   perl(XML::Parser) >= 2.23
%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\(XML::XPathEngine::NodeSet\\)
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(xml_split::state\\)
# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(XML::Parser\\)$

%description
XML::Twig is a Perl module that subclasses XML-Parser to allow easy
processing of XML documents of all sizes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL -y INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sat Jan 25 2025 tv <tv> 3.530.0-1.mga10
+ Revision: 2142356
- update to 3.53

* Mon Mar 28 2022 umeabot <umeabot> 3.520.0-9.mga9
+ Revision: 1830872
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.520.0-8.mga8
+ Revision: 1507053
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.520.0-7.mga7
+ Revision: 1287321
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 3.520.0-6.mga7
+ Revision: 1167466
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 3.520.0-5.mga7
+ Revision: 1160848
- fix missing requires on perl(XML::Parser), thus fixing tons of pkg rebuilds

* Sat Sep 23 2017 tv <tv> 3.520.0-3.mga7
+ Revision: 1158346
- add missing BRs for testsuite

* Sat Jul 22 2017 shlomif <shlomif> 3.520.0-2.mga7
+ Revision: 1128007
- install executables

* Thu Apr 27 2017 neoclust <neoclust> 3.520.0-1.mga6
+ Revision: 1097825
- New version 3.52 - Fixes CVE-2016-9180 (mga#19715)

* Sun Jun 19 2016 pterjan <pterjan> 3.490.0-3.mga6
+ Revision: 1036166
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 3.490.0-2.mga6
+ Revision: 967646
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 3.490.0-1.mga6
+ Revision: 849972
- update to 3.49

* Sun Dec 14 2014 sander85 <sander85> 3.480.0-4.mga5
+ Revision: 803128
- Fix BRs
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.480.0-3.mga5
+ Revision: 732675
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.480.0-2.mga5
+ Revision: 686971
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 3.480.0-1.mga5
+ Revision: 615085
- update to 3.48

* Thu Mar 13 2014 jquelin <jquelin> 3.460.0-1.mga5
+ Revision: 603077
- update to 3.46

* Mon Mar 03 2014 jquelin <jquelin> 3.450.0-1.mga5
+ Revision: 598752
- update to 3.45

* Sat Oct 19 2013 umeabot <umeabot> 3.440.0-2.mga4
+ Revision: 527440
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 3.440.0-1.mga4
+ Revision: 440097
- update to 3.44

* Sun Jan 13 2013 umeabot <umeabot> 3.420.0-2.mga3
+ Revision: 375191
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 3.420.0-1.mga3
+ Revision: 317770
- update to 3.42

* Fri Aug 31 2012 kharec <kharec> 3.410.0-1.mga3
+ Revision: 286624
- update to 3.41

* Thu May 31 2012 shlomif <shlomif> 3.400.0-2.mga3
+ Revision: 252471
- Add seemingly missing BuildRequires
- New version: 3.40. Fixes some warnings on perl-5.16.x

* Mon Sep 26 2011 jquelin <jquelin> 3.390.0-1.mga2
+ Revision: 148262
- update to 3.39

* Mon Feb 28 2011 jquelin <jquelin> 3.380.0-1.mga1
+ Revision: 61552
- update to 3.38

* Wed Jan 19 2011 jquelin <jquelin> 3.370.0-1.mga1
+ Revision: 24267
- fix specs
- imported package perl-XML-Twig

